SDL_GetDayOfWeek(3)

NAME
SDL_GetDayOfWeek - Get the day of week for a calendar date.

SYNOPSIS
#include <SDL3/SDL_time.h>

int SDL_GetDayOfWeek(int year, int month, int day);

FUNCTION PARAMETERS

year
    the year component of the date.

month
    the month component of the date.

day the day component of the date.

RETURN VALUE
Returns a value between 0 and 6 (0 being Sunday) if the date is valid or -1 on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.